zenilib: ovectl_ratemanage_arg Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
ovectl_ratemanage_arg Struct Reference

`#include <vorbisenc.h>`

## Public Attributes

long | bitrate_av_hi
long | bitrate_av_lo
double | bitrate_av_window
double | bitrate_av_window_center
long | bitrate_hard_max
long | bitrate_hard_min
double | bitrate_hard_window
int | management_active

## Detailed Description

The ovectl_ratemanage_arg structure is used with vorbis_encode_ctl() and the OV_ECTL_RATEMANAGE_GET, OV_ECTL_RATEMANAGE_SET, OV_ECTL_RATEMANAGE_AVG, OV_ECTL_RATEMANAGE_HARD calls in order to query and modify specifics of the encoder's bitrate management configuration.

Definition at line 233 of file vorbisenc.h.

## Member Data Documentation

long ovectl_ratemanage_arg::bitrate_av_hi

soft upper limit (in kilobits per second) above which the average bitrate tracker will start nudging the bitrate lower.

Definition at line 249 of file vorbisenc.h.

Referenced by vorbis_encode_ctl().

long ovectl_ratemanage_arg::bitrate_av_lo

soft lower limit (in kilobits per second) below which the average bitrate tracker will start nudging the bitrate higher.

Definition at line 246 of file vorbisenc.h.

Referenced by vorbis_encode_ctl().

double ovectl_ratemanage_arg::bitrate_av_window

the window period (in seconds) used to regulate the average bitrate minimum and maximum.

Definition at line 252 of file vorbisenc.h.

Referenced by vorbis_encode_ctl().

double ovectl_ratemanage_arg::bitrate_av_window_center

Regulates the relative centering of the average and hard windows; in libvorbis 1.0 and 1.0.1, the hard window regulation overlapped but followed the average window regulation. In libvorbis 1.1 a bit-reservoir interface replaces the old windowing interface; the older windowing interface is simulated and this field has no effect.

Definition at line 258 of file vorbisenc.h.

Referenced by vorbis_encode_ctl().

long ovectl_ratemanage_arg::bitrate_hard_max

hard upper limit (in kilobits per second) above which the stream bitrate will never be allowed for any given bitrate_hard_window seconds of time.

Definition at line 240 of file vorbisenc.h.

Referenced by vorbis_encode_ctl().

long ovectl_ratemanage_arg::bitrate_hard_min

hard lower limit (in kilobits per second) below which the stream bitrate will never be allowed for any given bitrate_hard_window seconds of time.

Definition at line 237 of file vorbisenc.h.

Referenced by vorbis_encode_ctl().

double ovectl_ratemanage_arg::bitrate_hard_window

the window period (in seconds) used to regulate the hard bitrate minimum and maximum

Definition at line 243 of file vorbisenc.h.

Referenced by vorbis_encode_ctl().

int ovectl_ratemanage_arg::management_active

nonzero if bitrate management is active

Definition at line 234 of file vorbisenc.h.

Referenced by vorbis_encode_ctl().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/libvorbis/include/vorbis/vorbisenc.h